#ifdef GL_ES
precision mediump float;
#endif
 
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform vec3 CurColor;
uniform vec3 PrevColor;
uniform float ABS;
uniform float OriginX;
 
void main(void)
{
	if(v_texCoord.x >= OriginX - ABS && v_texCoord.x <= OriginX + ABS)
	{
		gl_FragColor = vec4(CurColor.r, CurColor.g, CurColor.b, 1.0);
	}
	else
	{
		gl_FragColor = vec4(PrevColor.r, PrevColor.g, PrevColor.b, 1.0);
	}
}
